package com.fjhx.stock.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.stock.StockCheckrecorddetail;
import com.fjhx.params.stock.StockCheckrecorddetailVo;
import com.fjhx.base.BaseService;

import java.util.Map;

/**
 * <p>
 * 盘点记录明细 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-12-05
 */
public interface StockCheckrecorddetailService extends BaseService<StockCheckrecorddetail> {

    Page<StockCheckrecorddetail> getPage(Map<String, Object> condition);

    void add(StockCheckrecorddetailVo stockCheckrecorddetailVo);

    void edit(StockCheckrecorddetailVo stockCheckrecorddetailVo);

    void delete(StockCheckrecorddetailVo stockCheckrecorddetailVo);

}
